/// <reference types="chrome"/>

export class Sender {
  send (message: Record<string, any>) {
    if (typeof chrome !== 'undefined') {
      chrome.tabs.query({ active: true, currentWindow: true }, function (tabs: any) {
        chrome.tabs.sendMessage(tabs[0].id, message, function (response: any) {
          console.log(response)
        })
      })
    }
  }
}

export default new Sender()
